/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.stocks.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.stocks.dto.DrugUseInfoDto;
import com.tofly.stocks.dto.DrugUseInfoQuery;
import com.tofly.stocks.dto.DrugUseReportQuery;
import com.tofly.stocks.entity.DrugUseInfo;
import com.tofly.stocks.vo.DrugUseInfoVo;
import com.tofly.stocks.vo.DrugUseReportVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 药品使用信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface DrugUseInfoService extends IService<DrugUseInfo> {

    boolean saveDrugUseInfo(DrugUseInfoDto drugUseInfoDto, List<MultipartFile> files);

    boolean editDrugUseInfo(DrugUseInfoDto drugUseInfoDto, List<MultipartFile> files);

    boolean deleteByIds(String ids);


    Page<DrugUseReportVo> getReportList(Page page, DrugUseReportQuery drugReportQuery);

    void export(DrugUseReportQuery drugUseReportQuery);

    Page<DrugUseInfoVo> getDataPage(Page page, DrugUseInfoQuery drugUseInfoQuery);
}
